PATCHhttps://api.breeze.blue/v1/voices/{voice_id}

Edit a voice

Update a saved voice. Optionally replace the reference sample.

Authentication

API key: Send your Breeze Developer API key with the xi-api-key header.

Headers

FieldTypeDescription
xi-api-keyrequiredstringYour Breeze Developer API key. See authentication.

Path parameters

FieldTypeDescription
voice_idrequiredstringSaved voice identifier returned by GET /v1/voices.

Request body

FieldTypeDescription
namerequiredstringNew display name.
descriptionstringdescription request field for Body_edit_voice_v1_voices__voice_id__patch.
labelsstringlabels request field for Body_edit_voice_v1_voices__voice_id__patch.
filesarray<string>files request field for Body_edit_voice_v1_voices__voice_id__patch.

Example request

python from pathlib import Path import os from breeze_blue import BreezeBlue client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"]) client.voices.edit( "voc_xeh3w54cqvnp", name="Brand Narrator v2", description="Updated voice description for the saved clone.", file=Path("sample.wav"), ) typescript import { readFile } from "node:fs/promises"; import { BreezeBlueClient } from "@breeze.blue/sdk"; const client = new BreezeBlueClient({ apiKey: process.env.BREEZE_API_KEY!, }); await client.voices.edit("voc_xeh3w54cqvnp", { name: "Brand Narrator v2", description: "Updated voice description for the saved clone.", file: { data: await readFile("sample.wav"), filename: "sample.wav", contentType: "audio/wav", }, }); curl curl -X PATCH "https://api.breeze.blue/v1/voices/voc_xeh3w54cqvnp" \ -H "xi-api-key: $BREEZE_API_KEY" \ -F "name=Brand Narrator v2" \ -F "description=Updated voice description for the saved clone." \ -F "files=@sample.wav"
from pathlib import Path

import os

from breeze_blue import BreezeBlue

client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])

client.voices.edit(
    "voc_xeh3w54cqvnp",
    name="Brand Narrator v2",
    description="Updated voice description for the saved clone.",
    file=Path("sample.wav"),
)

Response

Update status.

Content types: application/json

Response headers:

  • x-breeze-api-key-id: Public API key identifier used to authenticate the request, when an API key was used.
{
  "status": "active"
}

Errors

  • RESOURCE_NOT_FOUNDThe voice_id does not exist or is not owned by the current account.
  • BAD_REQUESTThe uploaded replacement sample is not valid for this endpoint.

See the full list on errors.